Subject: 24.3.50; Region overlay looks bad on refined hunks in diff-mode

From: Dmitry Gutov <[email-masked]>
Date: Tue, 21 Jan 2014 06:44:34 +0200

1. Make some changes, save, open vc-diff buffer.

2. Extend region over the pieces of the hunk that `diff-refine-hunk'
highlighted.

If there are only a few such pieces, you only see a discrepancy between
the pieces where region starts and ends (if either is within a refined
part), because the region is partly visible there.

If most of the hunk was refined (a lot of changes), however, the region
becomes mostly invisible (aside from the bits between reginements).

In GNU Emacs 24.3.50.3 (x86_64-unknown-linux-gnu, GTK+ Version 3.8.6)
 of 2014-01-13 on axl
Repository revision: 116011 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11405000
System Description:	Ubuntu 13.10